# =============================================================================
# MonkAPI - ConfigMap (Non-sensitive configuration)
# =============================================================================
apiVersion: v1
kind: ConfigMap
metadata:
  name: monkapi-config
  namespace: monkapi
  labels:
    app: monkapi
data:
  # Application
  NODE_ENV: "production"
  PORT: "3000"
  API_VERSION: "1.5"

  # Database
  DATABASE_HOST: "mysql-service"
  DATABASE_PORT: "3306"
  DATABASE_NAME: "monkapi"

  # Redis
  REDIS_HOST: "redis-service"
  REDIS_PORT: "6379"

  # JWT
  JWT_EXPIRES_IN: "1h"
  JWT_REFRESH_EXPIRES_IN: "7d"

  # Rate Limiting
  THROTTLE_TTL: "60000"
  THROTTLE_LIMIT: "100"

  # Logging
  LOG_LEVEL: "info"

  # Timezone
  TZ: "Africa/Lome"
